net.sf.jasperreports.engine.export

## Class PdfTextRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractTextRenderer
  - - net.sf.jasperreports.engine.export.AbstractPdfTextRenderer
    - - net.sf.jasperreports.engine.export.PdfTextRenderer

-     public class PdfTextRenderer
      extends AbstractPdfTextRenderer

  Version:
    $Id: PdfTextRenderer.java 6744 2013-11-18 09:07:04Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractPdfTextRenderer

      `horizontalAlignment, leftOffsetFactor, pdfContentByte, pdfExporter, rightOffsetFactor`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractTextRenderer

      `allText, bottomPadding, drawPosX, drawPosY, height, isMaxHeightReached, jasperReportsContext, leftPadding, LINE_BREAK_FONT_RENDER_CONTEXT, lineHeight, noBackcolorSelector, rightPadding, segmentIndex, segments, styledText, text, topPadding, verticalAlignOffset, width, x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfTextRenderer(boolean ignoreMissingFont)` Deprecated. Replaced by `PdfTextRenderer(JasperReportsContext, boolean)`.
    `PdfTextRenderer(JasperReportsContext jasperReportsContext, boolean ignoreMissingFont)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw()`
    `static PdfTextRenderer` | `getInstance()` Deprecated. Replaced by `PdfTextRenderer(JasperReportsContext, boolean)`.

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractPdfTextRenderer

      `initialize`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractTextRenderer

      `getFontRenderContext, getHeight, getLineHeight, getPlainText, getStyledText, getWidth, getX, getY, initialize, render`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfTextRenderer

          public PdfTextRenderer(boolean ignoreMissingFont)

      Deprecated. Replaced by `PdfTextRenderer(JasperReportsContext, boolean)`.

    - #### PdfTextRenderer

          public PdfTextRenderer(JasperReportsContext jasperReportsContext,
                         boolean ignoreMissingFont)

  - ### Method Detail

    - #### getInstance

          public static PdfTextRenderer getInstance()

      Deprecated. Replaced by `PdfTextRenderer(JasperReportsContext, boolean)`.

    - #### draw

          public void draw()

      Specified by:
        `draw` in class `AbstractTextRenderer`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com